menuconfig FS_MGMT
    bool "File System Management"
    select FLASH
    select FLASH_MAP
    select FILE_SYSTEM
    select FILE_SYSTEM_LITTLEFS
    select FILE_SYSTEM_MKFS
    help
      Library for initializing and managing the file system.

if FS_MGMT
    config FS_MGMT_MOUNT_POINT
        string "Littlefs Mount Point"
        default "/lfs"
        help
          Set the mount point for the Littlefs file system. Default is "/lfs".
          
    config FS_MGMT_MCUMGR_HANDLER
        bool "Enable Custom MCUMGR FS Handlers"
        default y
        depends on MCUMGR_GRP_FS
        help
          Enables the custom MCUMGR group (ID 64) for listing (ls) 
          and removing (rm) files via SMP.

    # Logging configuration for the File System Management module
    module = FS_MGMT
    module-str = fs_mgmt
    source "subsys/logging/Kconfig.template.log_config"
endif # FS_MGMT